---
title: 'Document: selectstart event'
slug: Web/API/Document/selectstart_event
tags:
  - Document
  - Event
  - Reference
  - Selection
  - Selection API
  - selectstart
---
<div>{{APIRef}}</div>

<div>
<p>The <code><strong>selectstart</strong></code> event of the <a href="/en-US/docs/Web/API/Selection">Selection API</a> is fired when a user starts a new selection.</p>

<p>If the event is canceled, the selection is not changed.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>{{domxref("GlobalEventHandlers.onselectstart", "onselectstart")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">// addEventListener version
document.addEventListener('selectstart', () =&gt; {
  console.log('Selection started');
});

// onselectstart version
document.onselectstart = () =&gt; {
  console.log('Selection changed.');
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Selection API', '#selectstart-event', 'selectstart')}}</td>
   <td>{{Spec2('Selection API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.selectstart_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Document/selectionchange_event", "selectionchange")}}</li>
</ul>
